# $Revision: 1.27 $, $Date: 2003/12/14 21:30:53 $
# TODO:
# - add modyfications for use system avalaible shared adns library.
# - rewrite ipv6 support to work with non-v6 systems
# - check alpha patch, it compiles but doesnt work ;/
#
# Conditional build:
# _with_ipv6		- enable ipv6 support - do not use for v4-only machines.
# _with_longnicks	- enable long nicknames.  All servers on the network
# 					  must use the same length.
# _with_longtopics	- enable long topics.  All servers on the network
# 					  must use the same length.
#
Summary:	Internet Relay Chat Server
Summary(pl):	Serwer IRC
Name:		ircd-hybrid
Version:	7.0
Release:	2
Epoch:		1
License:	GPL v2
Group:		Daemons
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tgz
# Source0-md5:	bee69c994c70fb29a711614150587cd4
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-config.patch
Patch3:		%{name}-change_uid.patch
Patch4:		%{name}-va.patch
Patch5:		%{name}-opt.patch
Patch6:		%{name}-axp.patch
URL:		http://www.ircd-hybrid.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	zlib-devel
Prereq:		rc-scripts
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(postun):	/usr/sbin/userdel
Requires(postun):	/usr/sbin/groupdel
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	ircd
Obsoletes:	ircd6

%define		_sysconfdir	/etc/ircd
%define		_localstatedir	/var/lib/ircd

%description
Ircd-hybrid is an advanced IRC server which is most commonly used on
the EFNet IRC network. It is fast, reliable, and powerful. This
version supports IPv6.

%description -l pl
Ircd-hybrid jest zaawansowanym serwerem IRC, najczciej uywanym w
sieci EFNet. Jest szybki, stabilny i wydajny. Ta wersja obsuguje
IPv6.

%prep
%setup -q
%patch0 -p1
%patch3	-p1
%patch4 -p1
%patch5 -p1
%ifarch alpha
%patch6 -p1
%endif

%build
mv -f autoconf/{configure.in,acconfig.h} .
cp -f %{_datadir}/automake/config.* autoconf
%{__aclocal}
%{__autoconf}
CFLAGS="%{rpmcflags} %{?debug:-DDEBUGMODE}"
%configure \
		--enable-zlib \
		%{?_with_ipv6:--enable-ipv6} \
		--enable-small-net \
		%{?_with_longnicks:--with-nicklen=20} \
		%{?_with_longtopics:--with-topiclen=500} \
		%{?_with_ssl:--enable-openssl} \
		%{!?_with_ssl:--disable-openssl} \
		--enable-shared-modules \
		--with-maxclients=512
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/ircd,%{_var}/log/ircd,%{_sysconfdir}} \
	$RPM_BUILD_ROOT{%{_libdir}/ircd/{modules{,/autoload},tools,help},%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},%{_localstatedir}}

install src/ircd $RPM_BUILD_ROOT%{_sbindir}/ircd
install servlink/servlink $RPM_BUILD_ROOT%{_sbindir}/servlink
install doc/simple.conf	$RPM_BUILD_ROOT%{_sysconfdir}/ircd.conf
install doc/ircd.8 $RPM_BUILD_ROOT%{_mandir}/man8
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ircd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ircd

cd modules
	install *.so $RPM_BUILD_ROOT%{_libdir}/ircd/modules/autoload
	cd core
		install *.so $RPM_BUILD_ROOT%{_libdir}/ircd/modules
	cd ..
cd ..

cd tools
	for i in convertconf convertilines convertklines encspeed mkkeypair mkpasswd untabify viconf; do
		install $i $RPM_BUILD_ROOT%{_libdir}/ircd/tools/$i
	done
cd ..

cd help
	cp -rf opers users $RPM_BUILD_ROOT%{_libdir}/ircd/help
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`getgid ircd`" ]; then
       if [ "`getgid ircd`" != "75" ]; then
               echo "Error: group ircd doesn't have gid=75. Correct this before installing ircd." 1>&2
               exit 1
       fi
else
       /usr/sbin/groupadd -f -g 75 ircd 2> /dev/null
fi
if [ -n "`id -u ircd 2>/dev/null`" ]; then
       if [ "`id -u ircd`" != "75" ]; then
               echo "Error: user ircd doesn't have uid=75. Correct this before installing ircd." 1>&2
               exit 1
       fi
else
       /usr/sbin/useradd -g ircd -d /etc/ircd -u 75 -c "IRC service account" -s /bin/true ircd 2> /dev/null
fi

%post
/sbin/chkconfig --add ircd
if [ -f /var/lock/subsys/ircd ]; then
	/etc/rc.d/init.d/ircd restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/ircd start\" to start IRC daemon."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/ircd ]; then
		/etc/rc.d/init.d/ircd stop 1>&2
	fi
	/sbin/chkconfig --del ircd
fi

%postun
if [ "$1" = "0" ]; then
       /usr/sbin/userdel ircd 2> /dev/null
       /usr/sbin/groupdel ircd 2> /dev/null
fi

%files
%defattr(644,root,root,755)
%doc doc/{*.txt,*.conf,server-version-info,technical} RELNOTES ChangeLog Hybrid-team BUGS TODO
%attr(755,root,root) %{_sbindir}/*
%attr(770,root,ircd) %dir %{_sysconfdir}
%attr(660,ircd,ircd) %config(noreplace) %{_sysconfdir}/ircd.conf
%attr(754,root,root) /etc/rc.d/init.d/ircd
%attr(644,root,root) /etc/sysconfig/ircd
%dir %{_libdir}/ircd
%dir %{_libdir}/ircd/modules
%dir %{_libdir}/ircd/tools
%dir %{_libdir}/ircd/help
%attr(755,root,root) %{_libdir}/ircd/modules/*
%attr(755,root,root) %{_libdir}/ircd/tools/*
%{_libdir}/ircd/help/*
%attr(770,root,ircd) %dir %{_var}/log/ircd
%attr(770,root,ircd) %dir %{_localstatedir}
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ircd-hybrid.spec,v $
Revision 1.27  2003/12/14 21:30:53  undefine
- release 2 to rebuild with fixed patches(by antic to cvs.pld.org.pl)

Revision 1.26  2003/11/26 13:33:26  djrzulf
- added todo,

Revision 1.25  2003/11/26 13:22:32  djrzulf
- added patch for alpha,

Revision 1.24  2003/08/16 15:55:27  aredridel
- updated to 7.0 final
- added longnicks and longtopics bconds
- enabled ssl and bcond to turn off
- epoch 1

Revision 1.23  2003/06/10 13:41:35  qboosh
- merged from cvs.pld.org.pl:
  Revision 1.21  2003/05/31 18:32:22  kloczek
  - updated to 7.0rc10.

Revision 1.22  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/05/17 06:35:03  pascalek
- revert user changes

Revision 1.19  2003/05/10 10:20:20  pascalek
- Req user-ircd

Revision 1.18  2003/03/05 21:09:51  misi3k
- grrr updated to 7.0rc9

Revision 1.17  2003/03/05 20:49:21  misi3k
- updated to 7beta18
- Patch4 updated to work with 7beta18

Revision 1.16  2002/10/09 13:14:35  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.15  2002/09/05 09:03:58  qboosh
- use proper CFLAGS (opt patch), fixed build on alpha (va patch), fixed install
- release 3

Revision 1.14  2002/08/21 14:45:52  kloczek
- typo.

Revision 1.13  2002/08/17 21:01:11  qboosh
- better messages in pre, missing Requires(), release 2

Revision 1.12  2002/05/30 16:55:47  baseciq
- added BuildRequires: byacc, flex (see README.FIRST)
- added more files to %doc

Revision 1.11  2002/05/28 13:22:08  wojrus
- s/_without_ipv6/_with_ipv6/

Revision 1.10  2002/05/28 12:59:48  wojrus
- bcond _without_ipv6
TODO:
- rewrite ipv6 support to work with non-v6 systems

Revision 1.9  2002/05/26 11:13:02  wojrus
- updated to version 7 beta15
- added account name
- typos fixes

Revision 1.8  2002/05/21 23:13:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/05/04 12:40:36  kloczek
- typo in %files.

Revision 1.6  2002/05/04 10:30:04  kloczek
- added %%{_libdir}/ircd to %files.

Revision 1.5  2002/05/04 10:00:38  wojrus
- description adequate for the hybrid server
- STBR!

Revision 1.4  2002/05/03 18:48:11  wojrus
- change uid patch added

Revision 1.3  2002/05/03 16:29:22  kloczek
- fix Summary(pl).

Revision 1.2  2002/05/03 16:27:42  kloczek
- added BuildRequires rules,
- added ac25x and ac_fixes patches which allow now regenerate ac files
  before start building package (now %%{rpmcflags} are correctly passed to
  compilations flags),
- added Source url,
- License changed to GPL v1,
- some simpilfications and minor changes in %install.
TODO:
- add modyfications for use system avalaible shared adns library.

Revision 1.1  2002/05/03 12:39:37  wojrus
- initial spec
- needs imporvements
